//+------------------------------------------------------------------+
//|                                              # DPO_v1            |
//|                                     Copyright  2006, Eli hayun  |
//|                                    DPO Conversion by image3022   |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Eli hayun"
#property link      "http://"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 20
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_color3 Red
#property indicator_color4 Blue
//---- buffers
double buf4_up[];
double buf4_down[];

extern double Gap = 3; // Gap between the lines of bars

extern int Period_1 = PERIOD_M30;

extern bool AutoDisplay      = false;

string shortname = "";
bool firstTime = true;

int UniqueNum = 228;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
  
   
  
   shortname = "# DPO("+Period_1+")";
   firstTime = true;
   
   IndicatorShortName(shortname);
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,110);
   SetIndexBuffer(0,buf4_up);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,110);
   SetIndexBuffer(1,buf4_down);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
   shortname = "#  DPO("+Period_1+")";
   firstTime = true;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int i=0, y30m=0, yy;
   int limit=Bars-counted_bars;

   datetime TimeArray_30M[];
//---
   
    
   ArrayCopySeries(TimeArray_30M,MODE_TIME,Symbol(),Period_1); 
      
   for(i=0, y30m=0;i<limit;i++)
   {
      if (Time[i]<TimeArray_30M[y30m]) y30m++;

      for (int tf = 0; tf < 1; tf++)
      {
         int prd;
         switch (tf)
         {
            case 0: prd = Period_1; yy = y30m;  break;
         }
        // iCustom(NULL,0,"Xo",10.0,0,SignalCandle);
         double cci = iCustom(NULL, prd, "Detrended Price Oscillator",7,0,yy);
         double dUp = EMPTY_VALUE; //   iCustom(NULL, prd, "SuperTrend", false, 1, yy);
         double dDn = EMPTY_VALUE; //iCustom(NULL, prd, "SuperTrend", false, 0, yy);
         
        // if (cci > 0) dUp = 1; else dDn = 1;
         if (cci > 0) dDn = 1; else dUp = 1;
         
         switch (tf)
         {
           
            case 0: if (dUp == EMPTY_VALUE)  buf4_down[i]  = 1 + Gap * 2; 
            else buf4_up[i]  = 1 + Gap * 2; break;
         }
         
         
      }


   }

   return(0);
  }
//+------------------------------------------------------------------+







